export default class PairedEngineManager {
    constructor(platform: any, devices: any, deviceFactory: any, tierManager: any);
    _platform: any;
    _devices: any;
    _deviceFactory: any;
    _tierManager: any;
    _deviceAddedListener: (device: any) => void;
    _deviceRemovedListener: (device: any) => void;
    _makeAuthToken(): any;
    _onDeviceAdded(device: any): void;
    _onDeviceRemoved(device: any): void;
    _onServerAdded(device: any): Promise<void>;
    _onCloudAdded(device: any): Promise<void>;
    _loadDevice(state: any): Promise<void>;
    _addPhoneToDB(): Promise<void>;
    _addDesktopToDB(): Promise<void>;
    _addServerToDB(): Promise<void>;
    _addCloudToDB(): Promise<void>;
    _addSelfToDB(): Promise<void>;
    _addPlatformToDB(): Promise<void>;
    _addToDB(kind: any): Promise<void>;
    start(): Promise<void>;
    stop(): Promise<void>;
}
